> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Set credit line eligibility

> Bulk-provisions approved spending limits for multiple customers, making each eligible to create a mandate.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /customers/credit-line-eligibility
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /customers/credit-line-eligibility:
    post:
      tags:
        - Customers
      summary: Set credit line eligibility
      description: >-
        Bulk-provisions approved spending limits for multiple customers, making
        each eligible to create a mandate.
      operationId: set-customer-credit-line-eligibility
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - customers
              properties:
                customers:
                  type: array
                  items:
                    type: object
                    properties:
                      customer_id:
                        description: customer id.
                        type: string
                      mandate_per_order_limit:
                        description: >-
                          Upper cap on the mandate amount the customer can
                          authorize.
                        type: number
                      total_credit_limit:
                        description: >-
                          Spending limit approved for the customer. Cannot
                          exceed `mandate_per_order_limit`.
                        type: number
                      is_eligible:
                        description: Whether the customer is eligible to create a mandate.
                        type: boolean
                    required:
                      - customer_id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````